Page Menu
Home
DevCentral
Search
Configure Global Search
Log In
Files
F3768817
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Award Token
Flag For Later
Size
4 KB
Referenced Files
None
Subscribers
None
View Options
diff --git a/roles/paas-docker/zemke-rhyne/files/zr.sh b/roles/paas-docker/zemke-rhyne/files/zr.sh
new file mode 100755
index 0000000..546dc1e
--- /dev/null
+++ b/roles/paas-docker/zemke-rhyne/files/zr.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+# -------------------------------------------------------------
+# PaaS Docker
+# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
+# Project: Nasqueron
+# Created: 2018-09-08
+# License: Trivial work, not eligible to copyright
+# Source file: roles/paas-docker/zemke-rhyne/files/zr.sh
+# -------------------------------------------------------------
+#
+# <auto-generated>
+# This file is managed by our rOPS SaltStack repository.
+#
+# Changes to this file may cause incorrect behavior
+# and will be lost if the state is redeployed.
+# </auto-generated>
+
+ZR_SERVER="${ZR_SERVER:-ysul.nasqueron.org}"
+
+if [ "$#" -eq 0 ]; then
+ echo "Usage: $0 <command name> [options...]" 1>&2;
+ exit 1
+fi
+
+ssh -4 -i /etc/zr/id_zr "zr@$ZR_SERVER" "$@"
diff --git a/roles/paas-docker/zemke-rhyne/init.sls b/roles/paas-docker/zemke-rhyne/init.sls
index 2987f75..2efa0d4 100644
--- a/roles/paas-docker/zemke-rhyne/init.sls
+++ b/roles/paas-docker/zemke-rhyne/init.sls
@@ -1,39 +1,40 @@
# -------------------------------------------------------------
# Salt — Provision Docker engine
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
# Project: Nasqueron
# Created: 2018-09-08
# License: Trivial work, not eligible to copyright
#
# ___ ___ ___ ___ ___
# / /\ / /\ /__/\ /__/| / /\
# / /::| / /:/_ | |::\ | |:| / /:/_
# / /:/:| / /:/ /\ | |:|:\ | |:| / /:/ /\
# / /:/|:|__ / /:/ /:/_ __|__|:|\:\ __| |:| / /:/ /:/_
# /__/:/ |:| /\ /__/:/ /:/ /\ /__/::::| \:\ /__/\_|:|____ /__/:/ /:/ /\
# \__\/ |:|/:/ \ \:\/:/ /:/ \ \:\~~\__\/ \ \:\/:::::/ \ \:\/:/ /:/
# | |:/:/ \ \::/ /:/ \ \:\ \ \::/~~~~ \ \::/ /:/
# | |::/ \ \:\/:/ \ \:\ \ \:\ \ \:\/:/
# | |:/ \ \::/ \ \:\ \ \:\ \ \::/
# |__|/ ___ \__\/ ___ \__\/ \__\/ ___ \__\/ ___
# / /\ /__/\ ___ /__/\ / /\
# / /::\ \ \:\ /__/| \ \:\ / /:/_
# / /:/\:\ \__\:\ | |:| \ \:\ / /:/ /\
# / /:/~/:/ ___ / /::\ | |:| _____\__\:\ / /:/ /:/_
# /__/:/ /:/___ /__/\ /:/\:\ __|__|:| /__/::::::::\ /__/:/ /:/ /\
# \ \:\/:::::/ \ \:\/:/__\/ /__/::::\ \ \:\~~\~~\/ \ \:\/:/ /:/
# \ \::/~~~~ \ \::/ ~\~~\:\ \ \:\ ~~~ \ \::/ /:/
# \ \:\ \ \:\ \ \:\ \ \:\ \ \:\/:/
# \ \:\ \ \:\ \__\/ \ \:\ \ \::/
# \__\/ \__\/ \__\/ \__\/
#
# Support tools for a Docker <--> Phabricator bridge.
#
# Use the Zemke-Rhyne account to build Docker containers for
# Nasqueron applications, fetching information from DevCentral.
#
# -------------------------------------------------------------
include:
- .directory
- .key
+ - .utilities
diff --git a/roles/paas-docker/zemke-rhyne/utilities.sls b/roles/paas-docker/zemke-rhyne/utilities.sls
new file mode 100644
index 0000000..1d48833
--- /dev/null
+++ b/roles/paas-docker/zemke-rhyne/utilities.sls
@@ -0,0 +1,14 @@
+# -------------------------------------------------------------
+# Salt — Provision Docker engine
+# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
+# Project: Nasqueron
+# Created: 2018-09-08
+# License: Trivial work, not eligible to copyright
+# -------------------------------------------------------------
+
+{% from "map.jinja" import dirs with context %}
+
+{{ dirs.bin }}/zr:
+ file.managed:
+ - source: salt://roles/paas-docker/zemke-rhyne/files/zr.sh
+ - mode: 755
File Metadata
Details
Attached
Mime Type
text/x-diff
Expires
Mon, Nov 25, 10:43 (1 d, 20 h)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
2257763
Default Alt Text
(4 KB)
Attached To
Mode
rOPS Nasqueron Operations
Attached
Detach File
Event Timeline
Log In to Comment